:: 
:: File: 08createthemedAPK.bat
:: Description:
:: xavierjohn22, 2011-10-24
:: xavierjohn22, 2011-09-27
::
:: ------------------------------------------------
@echo off
:: 1=specific folder/s inside toplevel, 2=top level folder
echo ++++++++++++++ %1 +++++++++++++
::echo %~n1, %1
::echo %~n2, %2
::goto :END
If %ONLYONETHEME%==1 (
	set ThisFolder=%~n1
) Else (
	set ThisFolder=%~n1
)
	if not exist %~dp0_THEMES_OUT_APK\%~n2 mkdir %~dp0_THEMES_OUT_APK\%~n2
	if not exist %~dp0_THEMES_OUT_APK_ZIPALIGN\%~n2 mkdir %~dp0_THEMES_OUT_APK_ZIPALIGN\%~n2
	mkdir %~dp0_THEMES_OUT_APK\%~n2\%ThisFolder%
	mkdir %~dp0_THEMES_OUT_APK_ZIPALIGN\%~n2\%ThisFolder%
	echo %ThisFolder%
	for /f "tokens=* delims= " %%G in ('dir "%~dp0_THEMES\%~n2\%ThisFolder%" /b/ad') do (
		echo -------------- %%G -------------
		:: copy apk to _THEMES_OUTPUT_APK for processing
		if exist "%~dp0_THEMES_INPUT_APK\%~n2\%%G.apk" (
			copy "%~dp0_THEMES_INPUT_APK\%~n2\%%G.apk" "%~dp0_THEMES_OUT_APK\%~n2\%ThisFolder%\%%G.apk"
			echo Copied "_THEMES_INPUT_APK\%~n2\%%G.apk" to "_THEMES_OUT_APK\%~n2\%ThisFolder%\%%G.apk"
			7za a -tzip "%~dp0_THEMES_OUT_APK\%~n2\%ThisFolder%\%%G.apk" "%~dp0_THEMES\%~n2\%ThisFolder%\%%G\res" -mx%complevel%
			zipalign -f -v 4 "%~dp0_THEMES_OUT_APK\%~n2\%ThisFolder%\%%G.apk" "%~dp0_THEMES_OUT_APK_ZIPALIGN\%~n2\%ThisFolder%\%%G.apk"
		)
		if %zipalignthensign%==1 (
			ren "%~dp0_THEMES_OUT_APK_ZIPALIGN\%~n2\%ThisFolder%\%%G.apk" TEMP_%%G.apk
			java -jar "%~dp0_SIGN_ZIP\signapk.jar" "%~dp0_SIGN_ZIP\testkey.x509.pem" "%~dp0_SIGN_ZIP\testkey.pk8" "%~dp0_THEMES_OUT_APK_ZIPALIGN\%~n2\%ThisFolder%\TEMP_%%G.apk" "%~dp0_THEMES_OUT_APK_ZIPALIGN\%~n2\%ThisFolder%\%%G.apk"
			del "%~dp0_THEMES_OUT_APK_ZIPALIGN\%~n2\%ThisFolder%\TEMP_%%G.apk"
		)
	)
	If exist "%~dp0_THEMES_INPUT_APK\USE_THE_UNSIGNED_APK_FOR_%~n2.txt" (
		for /f "tokens=* delims= " %%a in (%~dp0_THEMES_INPUT_APK\USE_THE_UNSIGNED_APK_FOR_%~n2.txt) do (
			COPY %~dp0_THEMES_OUT_APK\%~n2\%ThisFolder%\%%a %~dp0_THEMES_OUT_APK_ZIPALIGN\%~n2\%ThisFolder%\%%a
		)
	)
:: this cleans the _THEMES_OUT_APK directory after zipaligning
:: zip aligned apks with new mogrified pngs will be in _THEMES_OUT_APK_ZIPALIGN
rmdir /s /q "%~dp0_THEMES_OUT_APK\%~n2\%ThisFolder%"
rmdir /s /q "%~dp0_THEMES_OUT_APK\%~n2"
::-----------------------------
::Clean up first
if not %makethemezip%==1 goto :END
DEL "%~dp0_FLASHABLES\themes\system\app\*.apk"
DEL "%~dp0_FLASHABLES\themes\system\framework\*.apk"

if not exist "%~dp0_FLASHABLES\Flashable_%~n2.zip" (
	@echo ERROR: Flashable_%~n2.zip template file is not in "_FLASHABLES" folder
	goto :END
)
::If %ONLYONETHEME%==1 (
FOR %%F IN (_THEMES_OUT_APK_ZIPALIGN\%~n2\%ThisFolder%\*.apk) DO (
	COPY "%~dp0_THEMES_OUT_APK_ZIPALIGN\%~n2\%ThisFolder%\%%~nxF" "%~dp0_FLASHABLES\themes\system\app\%%~nxF"
)
if exist "%~dp0_FLASHABLES\themes\system\app\framework-res.apk" (
	COPY "%~dp0_FLASHABLES\themes\system\app\framework-res.apk" "%~dp0_FLASHABLES\themes\system\framework\framework-res.apk"
)
if exist "%~dp0_FLASHABLES\themes\system\app\framework.apk" (
	COPY "%~dp0_FLASHABLES\themes\system\app\framework.apk" "%~dp0_FLASHABLES\themes\system\framework\framework.apk"
)
if exist "%~dp0_FLASHABLES\themes\system\app\framework-res.apk" (
	DEL "%~dp0_FLASHABLES\themes\system\app\framework-res.apk"
)
if exist "%~dp0_FLASHABLES\themes\system\app\framework.apk" (
	DEL "%~dp0_FLASHABLES\themes\system\app\framework.apk"
)
	COPY "%~dp0_FLASHABLES\Flashable_%~n2.zip" "%~dp0_FLASHABLES\TEMP_%ThisFolder%.zip"
	@echo Updating and Compressing "_FLASHABLES\TEMP_%ThisFolder%.zip"...
	7za a -tzip "%~dp0_FLASHABLES\TEMP_%ThisFolder%.zip" "%~dp0_FLASHABLES\themes\system" -mx%complevel%
	@echo Signing "_FLASHABLES\TEMP_%ThisFolder%.zip" to "%~dp0_FLASHABLES\%ThisFolder%_Themes_Signed.zip"...
	java -jar "%~dp0_SIGN_ZIP\signapk.jar" "%~dp0_SIGN_ZIP\testkey.x509.pem" "%~dp0_SIGN_ZIP\testkey.pk8" "%~dp0_FLASHABLES\TEMP_%ThisFolder%.zip" "%~dp0_FLASHABLES\%ThisFolder%_Themes_Signed.zip"
	DEL "%~dp0_FLASHABLES\TEMP_%ThisFolder%.zip"
::)
:END