:: 
:: File: 06buildflashable.bat
:: Description:
:: Author:	xavierjohn22
:: Created:	07/07/2011
:: Updated: 	10/12/2011
::
:: echo Copying "_OUT_APK\%~n1.apk" to "_FLASHABLES\system\app\%~n1.apk"
:: copy "_OUT_APK\%~n1.apk" "_FLASHABLES\system\app\%~n1.apk"
:: do checks first
if not %ThisIsFlashable%==1 goto :END
::------------------
if not exist "_FLASHABLES\Flashable_Update.zip" (
	@echo ERROR: Flashable_Update.zip template file is not in "_FLASHABLES" folder
	goto :END
)
:: template present, proceed
FOR %%F IN (_OUT_APK\*.apk) DO (
	COPY "_OUT_APK\%%~nxF" "_FLASHABLES\system\app\%%~nxF"
)
if exist "_FLASHABLES\system\app\framework-res.apk" (
	COPY "_FLASHABLES\system\app\framework-res.apk" "_FLASHABLES\system\framework\framework-res.apk"
)
:: will use this for some other option
if exist "_FLASHABLES\system\app\framework-res.apk" (
	DEL "_FLASHABLES\system\app\framework-res.apk"
)
	COPY "_FLASHABLES\Flashable_Update.zip" "_FLASHABLES\TEMP_Flashable_Update.zip"
	@echo Updating and Compressing "_FLASHABLES\Flashable_Update.zip"...
	7za a -tzip "_FLASHABLES\TEMP_Flashable_Update.zip" "_FLASHABLES\system" -mx%complevel%
	@echo Signing "_FLASHABLES\TEMP_Flashable_Update.zip" to "_FLASHABLES\Flashable_Update_Signed.zip"...
	java -jar "_SIGN_ZIP\signapk.jar" "_SIGN_ZIP\testkey.x509.pem" "_SIGN_ZIP\testkey.pk8" "_FLASHABLES\TEMP_Flashable_Update.zip" "_FLASHABLES\Flashable_Update_Signed.zip"
	DEL "_FLASHABLES\TEMP_Flashable_Update.zip"
::------------------
:END