:: 
:: File: 04rebuildusableAPK.bat
:: Description: 
::
:: copy apk first to OUT for processing
:: put necessary resources in apk
echo Copying "_INPUT_APK\%~n1.apk" to "_OUT_APK\%~n1.apk"
copy "%~dp0_INPUT_APK\%~n1.apk" "%~dp0_OUT_APK\%~n1.apk"
:: copy the apktools "dist" apks for trial purposes only, by me
:: trying to use 1.3.1 version of apktool to test dist apks if there is FC
if %copydistapk%==1 (
echo Copying "_INPUT_APK\%~n1\dist\%~n1.apk" to "_OUT_APKTOOL_DIST\%~n1.apk"
copy "%~dp0_INPUT_APK\%~n1\dist\%~n1.apk" "%~dp0_OUT_APKTOOL_DIST\%~n1.apk"
)
:: overwrite resources.arsc
if %overwrite_arsc%==1 (
7za a -tzip "%~dp0_OUT_APK\%~n1.apk" "%~dp0_INPUT_APK\%~n1\build\apk\resources.arsc" -mx%complevel%
)
:: overwrite classes.dex
if %overwrite_dex%==1 (
7za a -tzip "%~dp0_OUT_APK\%~n1.apk" "%~dp0_INPUT_APK\%~n1\build\apk\classes.dex" -mx%complevel%
)
:: copy files from the build res folder
:: this copies all new added resources
:: problem is images are decoded, so do another overwrite from the original apk
:: use overwrite custom instead if changing resources or file in existing folder
if %copy_other_res%==1 (
7za u -tzip "%~dp0_OUT_APK\%~n1.apk" "%~dp0_INPUT_APK\%~n1\build\apk\res" -uy0 -mx%complevel%
7za x "%~dp0_INPUT_APK\%~n1.apk" -o"%~dp0_TEMP_%~n1"
7za u -tzip "%~dp0_OUT_APK\%~n1.apk" "%~dp0_TEMP_%~n1\res" -mx%complevel%
rmdir /s /q "_TEMP_%~n1"
)
:: this overwrites any files in the resources using the CUSTOM folder
if %overwrite_custom%==1 (
if not exist "%~dp0_CUSTOM_RES\%~n1" goto :nocustomres
7za a -tzip "%~dp0_OUT_APK\%~n1.apk" "%~dp0_CUSTOM_RES\%~n1\res" -mx%complevel%
)
:nocustomres
:: optimize pngs
if %optimizepng%==1 (
::check apk existence
if not exist "%~dp0_INPUT_APK\%~n1.apk" goto END
7za x "%~dp0_INPUT_APK\%~n1.apk" -o"%~dp0_TEMP_%~n1"
mkdir "%~dp0_TEMP_%~n1_Images"
mkdir "%~dp0_TEMP_%~n1_Images\res"
xcopy "%~dp0_TEMP_%~n1\res\*.png" "%~dp0_TEMP_%~n1_Images\res" /S /Y
echo Optimizing all pngs...
roptipng -o99 "./_TEMP_%~n1_Images/**/*.png"
::optipng -o7 "./_TEMP_%~n1_Images/**/*.png"
7za a -tzip "%~dp0_OUT_APK\%~n1.apk" "%~dp0_TEMP_%~n1_Images\res" -mx%complevel%
rmdir /s /q "_TEMP_%~n1_Images"
rmdir /s /q "_TEMP_%~n1"
goto bypass9png
@echo did it bypass? if this show, error on script goto, please email me
pause
)
:: optimize only 9 pngs
if %optimizeonly9png%==1 (
::check apk existence
if not exist "%~dp0_INPUT_APK\%~n1.apk" goto END
7za x "%~dp0_INPUT_APK\%~n1.apk" -o"%~dp0_TEMP_%~n1"
mkdir "%~dp0_TEMP_%~n1_Images"
mkdir "%~dp0_TEMP_%~n1_Images\res"
xcopy "%~dp0_TEMP_%~n1\res\*.9.png" "%~dp0_TEMP_%~n1_Images\res" /S /Y
echo Optimizing all .9 pngs...
roptipng -o99 "./_TEMP_%~n1_Images/**/*.png"
::optipng -o7 "./_TEMP_%~n1_Images/**/*.png"
7za a -tzip "%~dp0_OUT_APK\%~n1.apk" "%~dp0_TEMP_%~n1_Images\res" -mx%complevel%
rmdir /s /q "_TEMP_%~n1_Images"
rmdir /s /q "_TEMP_%~n1"
)
:: do this bypass9png jump for now
:bypass9png
:: generate zipalign apk
if %genzipalign%==1 (
zipalign -f -v 4 "%~dp0_OUT_APK\%~n1.apk" "%~dp0_OUT_APK_ZIPALIGN\%~n1.apk"
)
goto END
::---------------- xjs reference ------------------------------
:: uy switch testing
:: 7za x "%~dp0_OUT_APKTOOL_DIST\%~n1.apk" -o"%~dp0_TEMP_%~n1"
:: 7za u -tzip "%~dp0_INPUT_APK\%~n1.apk" "%~dp0_INPUT_APK\%~n1\build\apk\res" -x2 -mx%complevel%
:: @rd /s /q "_TEMP_%~n1"
:: overwrite drawable-hdpi
:: if %overwrite_dhdpi%==1 (
:: xcopy "%~dp0_INPUT_APK\%~n1\build\apk\res\drawable-hdpi" "%~dp0_TEMP_%~n1\res\drawable-hdpi" /D /E /C /R /H /I /K /Y
:: 7za u -tzip "%~dp0_OUT_APK\%~n1.apk" "%~dp0_TEMP_%~n1\res" -mx%complevel%
:: @rd /s /q "_TEMP_%~n1"
:: )
:: OPTIONS (STATE)
:: p File exists in archive, but is not matched with wildcard.   Exists, but is not matched 
:: q File exists in archive, but doesn't exist on disk. Doesn't exist Exists 
:: r File doesn't exist in archive, but exists on disk. Exists Doesn't exist 
:: x File in archive is newer than the file on disk. Older Newer 
:: y File in archive is older than the file on disk. Newer Older 
:: z File in archive is same as the file on disk Same Same 
:: w Can not be detected what file is newer (times are the same, sizes are different) ? ? 
:: SWITCHES
:: 0 Ignore file (don't create item in new archive for this file) 
:: 1 Copy file (copy from old archive to new) 
:: 2 Compress (compress file from disk to new archive) 
:: 3 Create Anti-item (item that will delete file or directory during extracting). 
::   This feature is supported only in 7z format. 
::----------------------------------------------
:END